# class AnalogLineEvent | A single analog line related event. More...
Full name | `TelEngine::AnalogLineEvent`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- AnalogLineEvent (AnalogLine* line, SignallingCircuitEvent* event)
- virtual ~AnalogLineEvent ()
- inline AnalogLine* line ()
- inline SignallingCircuitEvent* event ()
- virtual void destruct ()

## Detailed Description

An object holding an event generated by an analog line and related references

AnalogLineEvent (AnalogLine* line, SignallingCircuitEvent* event) | ### AnalogLineEvent

Constructor

Parameters:

line | The analog line that generated this event
event | The signalling circuit event

~AnalogLineEvent () | ### ~AnalogLineEvent

[virtual]

Destructor, dereferences any resources

inline AnalogLine* line () | ### line

Get the analog line that generated this event

Returns: The analog line that generated this event

inline SignallingCircuitEvent* event () | ### event

Get the signalling circuit event carried by this analog line event

Returns: The signalling circuit event carried by this analog line event

void destruct () | ### destruct

[virtual]

Disposes the memory

Reimplemented from GenObject.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.